Package org.springframework.scheduling.config

# Class ScheduledTasksBeanDefinitionParser

java.lang.Object
org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
org.springframework.scheduling.config.ScheduledTasksBeanDefinitionParser

All Implemented Interfaces:
  `org.springframework.beans.factory.xml.BeanDefinitionParser`

public class ScheduledTasksBeanDefinitionParser extends org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
Parser for the 'scheduled-tasks' element of the scheduling namespace.

Since:
  3.0
Author:
  Mark Fisher, Chris Beams

## Field Summary

### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`ID_ATTRIBUTE, NAME_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`ScheduledTasksBeanDefinitionParser()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doParse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)`
`protected String`
`getBeanClassName(Element element)`
`protected boolean`
`shouldGenerateId()`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

`doParse, getBeanClass, getParentName, parseInternal`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ScheduledTasksBeanDefinitionParser

public ScheduledTasksBeanDefinitionParser()

## Method Details

### shouldGenerateId

protected boolean shouldGenerateId()

Overrides:
  `shouldGenerateId` in class `org.springframework.beans.factory.xml.AbstractBeanDefinitionParser`

### getBeanClassName

protected String getBeanClassName(Element element)

Overrides:
  `getBeanClassName` in class `org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser`

### doParse

protected void doParse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)

Overrides:
  `doParse` in class `org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser`